*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 16px;
  -webkit-text-size-adjust: 100%;
}

body {
  font-family: "Cormorant Garamond", serif;
  line-height: 1.5;
  text-rendering: optimizeLegibility;
}

::-webkit-scrollbar {
  width: 4px;
}

::-webkit-scrollbar-thumb {
  background: rgba(199, 164, 106, 0.45);
  border-radius: 30px;
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: rgba(199, 164, 106, 0.45);
  transition: 0.3s;
}

::-webkit-scrollbar-thumb:hover {
  background: #c7a46a;
}

.section1 {
  background-color: #141414;
  display: flex;
  justify-content: center;
  padding: clamp(10px, 2vh, 30px);
  padding-top: 205px;
}

.section1_info {
  display: flex;
  flex-direction: column;
  width: min(1400px, 90%);
}

.section1_info_content {
  display: flex;
  justify-content: space-between;
  gap: 70px;
}

.section1_info_content_img img {
  width: clamp(220px, 30vh, 420px);
  height: auto;
  border-radius: 20px;
}

.section1_info_content_text {
  color: #f3f1ee;
  font-size: clamp(16px, 1.2vw, 22px);
  width: 100%;
  display: flex;
  justify-content: space-around;
  flex-direction: column;
  align-items: center;
  position: relative;
}

.section1_info_content_text_glav {
  font-size: clamp(24px, 2vw, 38px);
  border-bottom: 2.5px solid #9e8462;
  padding: 4px;
}

#hero-description {
  font-size: clamp(20px, 1.6vw, 32px);
}

.button_text {
  background-color: #141414;
  border-color: #9e8462;
  font-size: clamp(16px, 1.2vw, 22px);
  color: #9e8462;
  padding: 1em;
  border-radius: 20px;
}

.button_text:hover {
  background-color: #9e8462;
  color: #141414;
  cursor: pointer;
  border-color: #141414;
  transition: 0.35s;
}

.modal {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.75);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  visibility: hidden;
  transition: 0.35s;
  z-index: 2001;
}

.modal.active {
  opacity: 1;
  visibility: visible;
}

.modal-content {
  width: min(1400px, 80%);
  max-height: 90vh;
  overflow-y: auto;
  background: #141414;
  border-radius: 20px;
  padding: 40px;
  position: relative;
}

.modal.active .modal-content {
  transform: translateY(0);
}

.close {
  position: absolute;
  right: 35px;
  top: 35px;
  width: 50px;
  height: 50px;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  background: #c7a46a;
  color: white;
  z-index: 20;
  font-size: 34px;
}

.about-wrapper {
  display: flex;
  gap: 50px;
  justify-content: space-around;
}

.about-wrapper h2 {
  align-items: center;
  color: #f3f1ee;
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
}

.about-wrapper button {
  display: flex;
  align-items: end;
}

.about-image {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.about-image img {
  width: 100%;
  height: 280px;
  object-fit: cover;
  border-radius: 12px;
  cursor: pointer;
  transition: 0.3s;
}

.about-image img:hover {
  transform: scale(1.03);
}

.about-info {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}

.about-info h2 {
  margin-bottom: 30px;
  color: #f3f1ee;
}

.about-info p {
  margin-bottom: 20px;
  line-height: 1.8;
  color: #f3f1ee;
  text-align: justify;
  font-size: clamp(14px, 1vw, 20px);
}

.certificate-modal {
  position: fixed;
  inset: 0;

  background: rgba(0, 0, 0, 0.9);

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  visibility: hidden;

  transition: 0.3s;
  z-index: 9999;
}

.certificate-modal.active {
  opacity: 1;
  visibility: visible;
}

#certificateImage {
  max-width: 90%;
  max-height: 90%;
  border-radius: 10px;

  transform: scale(0.9);
  transition: 0.3s;
}

.certificate-modal.active #certificateImage {
  transform: scale(1);
}

.certificate-close {
  position: fixed;
  right: 35px;
  top: 35px;
  width: 50px;
  height: 50px;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  background: #c7a46a;
  color: white;
  z-index: 20;
  font-size: 34px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.portfolio-section {
  background-color: #0f0f0f;
}


